/**
 * This is part of the LAVESDK - Logistics Algorithms Visualization and Education Software Development Kit.
 * 
 * Copyright (C) 2013 Jan Dornseifer & Department of Management Information Science, University of Siegen
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * See license/LICENSE.txt for further information.
 * 
 *=========================================================================================================
 * 
 * Enum:		LogType
 * Task:		Type of a log message
 * Created:		10.09.13
 * LastChanges:	10.09.13
 * LastAuthor:	jdornseifer
 */

package lavesdk.logging.enums;

/**
 * The type of a log message.
 * <br><br>
 * This can be:
 * <ul>
 * 		<li>{@link #INFO}</li>
 * 		<li>{@link #WARNING}</li>
 * 		<li>{@link #ERROR}</li>
 * </ul>
 * 
 * @author jdornseifer
 * @version 1.0
 * @since 1.0
 */
public enum LogType {
	
	/** the log message is an information */
	INFO,
	
	/** the log message is a warning */
	WARNING,
	
	/** the log message is an error */
	ERROR

}
